// 1. Ambil query string dari URL (misal: ?to=Budi%20Utomo)
const urlParams = new URLSearchParams(window.location.search);

// 2. Ambil nilai dari parameter 'to'
const namaTamu = urlParams.get('to');

// 3. Jika parameter 'to' ada di URL, ubah teks di HTML
if (namaTamu) {
    // decodeURIComponent berfungsi mengubah %20 menjadi spasi kembali
    document.getElementById("nama-tamu").innerText = decodeURIComponent(namaTamu);
} else {
    // Nama default jika link dibuka tanpa parameter nama
    document.getElementById("nama-tamu").innerText = "Tamu Undangan";
}